<main>
  <section
    [hidden]="ready2Show | async"
  >

    <table>

      <thead>
        <tr>
          <th>PROPERTY 1</th>
          <th>PROPERTY 2</th>
        </tr>
      </thead>

      <tbody>
        <!-- pipe usado para paginar "inline". Criar uma rota e um menu (como em NgWebCompack) para testar ambos -->
        <!-- <tr *ngFor="let item of (collectionPromise | async)! | getPagePer:limit:pageNumber"> -->
        <tr *ngFor="let item of collectionPromise | async">
          <td>
            {{ item.property1 }}
          </td>
          <td>
            {{ item.property2 }}
          </td>
        </tr>
      </tbody>

    </table>

      <!-- [queryParamPropertyName]="'pagina'" -->
    <!-- <lib-page-browser
      #pageBrowser
      [labelTranslations]="{
        firstPage: '⏮',
        previousPage: '⏪',
        nextPage: '⏩',
        lastPage: '⏭'
      }"
      [enablePageNumberInputBox]="true"
      (changePage)="onChangePage($event)"
    ></lib-page-browser> -->

    <lib-page-browser
      #pageBrowser
      [labelTranslations]="{
        firstPage: 'first',
        previousPage: '«',
        nextPage: '»',
        lastPage: 'last'
      }"
      [enablePageNumberInputBox]="enablePageNumberInputBox"
      [widthGrowthToggleFactor]="widthGrowthToggleFactor"
      [queryParamPropertyName]="queryParamPropertyName"
      (changePage)="onChangePage($event)"
      ></lib-page-browser>

  </section>
</main>
